{% extends "users/userspace.html" %}

{% block content %}

<div class="container mt-5">
        
    <div class="row"> 
        <div class="col">
            <h1>{{farm.nom}}</h1>
        </div>
        <div class="col text-end">
            <a class="btn btn-secondary" href="{% url 'ferme_hub' farm.id %}" target="_blank">
                <i class="fas fa-cogs me-2"></i>Page de gestion
            </a>
        </div>
    </div>

    {% if farm.archive %}
        <div class="alert alert-warning" role="alert">
            Cette ferme est archivée.
        </div>
    {% endif %}

    <div class="table-responsive">
        <table class="table align-middle">
            <tr>
                <td>
                    Nom :
                </td>
                <td>
                    {{farm.nom}}
                </td>
            </tr>
            <tr>
                <td>
                    Représentant :
                </td>
                <td>
                    <a href="{% url 'user_details_admin' farm.representant.id %}"
                                   target="_blank">
                    {{ farm.representant }}
                    </a>
                </td>
            </tr>
            <tr>
                <td>
                    Type de produits :
                </td>
                <td>
                    {{ farm.type_activite }}
                </td>
            </tr>
            <tr>
                <td>
                    Entité juridique :
                </td>
                <td>
                    {{ farm.entite_juridique }}
                </td>
            </tr>
            <tr>
                <td>
                    Adresse :
                </td>
                <td>
                    {{ farm.adresse }}
                </td>
            </tr>
            <tr>
                <td>
                    Informations paiement :
                </td>
                <td>
                    {{ farm.infos_paiement }}
                </td>
            </tr>
            {% if farm.infos_commande %}
            <tr>
                <td>
                    Information commandes :
                </td>
                <td>
                    {{ farm.infos_commande}}
                </td>
            </tr>
            {% endif %}
        </table>
    </div>

    <h3 class="mt-3">Produits</h3>

    <div class="table-responsive">
        <table class="table table-striped table-hover align-middle">
            <thead>
            <tr>
                <th class="pe-1">
                    Nom
                </th>
                <th class="pe-1">
                    Détails
                </th>
            </tr>
            </thead>
            <tbody>
            {% for produit in products %}
            <tr>
                <td class="pe-1">
                    {{ produit.nom }}
                </td>
                <td class="pe-1">
                    <a type="button" class="btn btn-link" href="{% url 'product_details_admin' produit.id %}">
                        <i class="fas fa-search me-1"></i>Details
                    </a>
                </td>
            </tr>
        {% endfor %}
        {% if products|length == 0 %}
        <tr>
            <td colspan="2" class="text-center">
            Aucun résultat
            </td>
        </tr>
        {% endif %}
            </tbody>
        </table>
    </div>
    {% pagination_widget page_obj request %}
</div>
{% endblock %}